bartlett/php-compatinfo

Version 5.5.1 - 2021-03-13

  • Autoloader regression when using as dependency in another project

Version 5.5.0 - 2021-03-13

Changed

  • raise PHP minimum requirement to version 7.2
  • raise bartlett/php-compatinfo-db dependency to version 3.4

bartlett/php-compatinfo-db

Version 3.4.2 - 2021-03-13

Fixed

  • Autoloader regression when using this dependency in another project like php-compatinfo

Version 3.4.1 - 2021-03-13

Fixed

  • #69 Proxy files management is broken (thanks to @remicollet for reporting)

Version 3.4.0 - 2021-03-12

Added

  • Autogenerate Doctrine proxy files. Sets environment variable APP_PROXY_DIR to defines the directory where Doctrine generates any proxy classes. Default is /tmp/bartlett/php-compatinfo-db/<VERSION>/proxies (with VERSION current application version)

Version 3.3.0 - 2021-03-09

Added

  • PHP 7.4.16 support
  • PHP 8.0.3 support

Changed

  • Add progress flag on db:init command to display a progress bar only on demand (for slow system)
  • Use PHPStan for static analysis in Github Actions Workflows
  • Use the ramsey/composer-install action to install dependencies
  • APCu reference updated to version 5.1.20 (stable)
  • Ssh2 reference updated to version 1.3.1 (beta)
  • Xdebug reference updated to version 3.0.3 (stable)

Fixed

  • #66 oci8 test failure
  • The flags parameter of preg_replace_callback was added in PHP 7.4.0

Version 3.2.0 - 2021-02-09

Added

  • new repositories for easy access of single elements (class, interface, method, function, constant)
  • PHP 7.3.27 support
  • PHP 7.4.15 support
  • PHP 8.0.2 support

Changed

  • DB optimization: removed all empty (blank) properties by NULL value
  • Redis reference updated to version 5.3.3 (stable)

Fixed

  • #65 Make the database compatible with all PHP versions

Version 3.1.1 - 2021-01-20

Changed

  • Xmldiff reference updated to version 1.1.3 (stable)

Fixed

  • #61 Keep Symfony 4.4 Backward Compatibility
  • #62 OCI8 reference issue
  • #63 http reference issue
  • #64 xmlrpc reference issue

Version 3.1.0 - 2021-01-09

Added

  • PHP 7.3.26 support
  • PHP 7.4.14 support
  • PHP 8.0.1 support

Changed

  • replaced return 0 by return Command::SUCCESS and return 1 by return Command::FAILURE in Console commands

Fixed

  • assure application version used when initializing platforms and displaying them

Version 3.0.2 - 2021-01-06

Fixed

  • bump new Application version

Removed

  • clean-up old component from v2.x

Version 3.0.1 - 2021-01-06

Changed

  • clean-up duplicated Odbc unit tests available both in PhpBundle and PhpPecl (keep PhpBundle)
  • reorganizes test suites main list to allow suite filter feature of PHPUnit
  • bump new year in LICENSE file
  • removes humbug/box dependency
  • initializes SQLite database when invoking composer install or composer update commands
  • Xdebug reference updated to version 3.0.2 (stable)
  • Yac reference updated to version 2.3.0 (stable)

Version 3.0.0 - 2020-12-29

Added

  • PHP 7.3.24 and 7.3.25 support
  • PHP 7.4.12 and 7.4.13 support
  • Doctrine ORM to support more Back-End than just native SQLite3, and handle domain of DDD architecture
  • #49 PHP 8.0 support
  • #52 Configuration - read it from a compatible PSR11 container
  • #59 Phar distribution automated create/update with composer

Changed

  • removed bartlett: namespace prefix and all commands
  • new bartlett:db:release command combines old bartlett:db:release:php and bartlett:db:publish:php commands that were removed
  • #50 Dependency-Injection with Symfony component replace old ContainerService that was introduced in version 2.13
  • #51 CommandBus with Symfony Messenger component
  • #54 update Sqlite3 reference to support PHP 8.0
  • #56 Lite alternative to laminas-diagnostics solution
  • APCu reference updated to version 5.1.19 (stable)
  • Igbinary reference updated to version 3.2.1 (stable)
  • Jsmin reference updated to version 3.0.0 (stable)
  • Memcache reference updated to version 8.0 (stable)
  • Msgpack reference updated to version 2.1.2 (stable)
  • OCI8 reference updated to version 3.0.1 (stable)
  • Pdflib reference updated to version 4.1.4 (stable)
  • Raphf reference updated to version 2.0.1 (stable)
  • Rar reference updated to version 4.2.0 (stable)
  • Redis reference updated to version 5.3.2 (stable)
  • Uopz reference updated to version 6.1.2 (stable)
  • Xdebug reference updated to version 3.0.1 (stable)
  • Xhprof reference updated to version 2.2.3 (stable)
  • Yac reference updated to version 2.2.1 (stable)
  • Yaml reference updated to version 2.2.1 (stable)
  • Zip reference updated to version 1.19.2 (stable)

Removed

  • bartlett:db:build:ext command

Fixed

How to install

sudo dnf upgrade --advisory=FEDORA-2021-21677aa26c

This update has been submitted for testing by remi.

a year ago

This update's test gating status has been changed to 'ignored'.

a year ago

This update's test gating status has been changed to 'waiting'.

a year ago

This update's test gating status has been changed to 'ignored'.

a year ago

This update has been pushed to testing.

a year ago

This update can be pushed to stable now if the maintainer wishes

a year ago

This update has been submitted for stable by bodhi.

a year ago

This update has been pushed to stable.

a year ago

Please login to add feedback.

Metadata
Type
enhancement
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
a year ago
in testing
a year ago
in stable
a year ago

Automated Test Results